Subject: Re: [PATCH 6/9] New option --ignore-whitespace for git-apply.

From: A Large Angry SCM <[email-masked]>
Date: Sun, 28 Aug 2005 16:49:35 -0400

Linus Torvalds wrote:
> On Sun, 28 Aug 2005, Robert Fitzsimons wrote:
>>Allow the user to force a patch to be applied even though there might
>>be whitespace differences.  Added a test case for the new option.
> 
> If you ignore whitespace, then you should probably accept patches that are
> whitespace corrupted in another way: lines missing the ' ' at the
> beginning. Especially lines that are empty. That's actually the most 
> common form of whitespace corruption there is.

Actually, a more restricted from of --ignore-whitespace may be useful, 
--ignore-trailing-whitespace (needs a shorter name!). Ignore only 
trailing whitespace differences (including empty context lines without 
the initial space).